package cn.com.qmth.examcloud.core.questions.base.question;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * Created by songyue on 17/3/15.
 */
public class PaperDto implements Serializable {
    private static final long serialVersionUID = -4673013279766466337L;

    private String id;

    private String name;//试卷名称

    private String title;//试卷标题

    private Double totalScore;//试卷总分
    /**
     * 试卷中是否全为客观题
     * 是：true
     * 否：false
     */
    private boolean isAllQbjectiveQuestion;

    private List<PaperDetailDto> paperDetails;

    private Map<String, String> params;//导入试卷属性

    /**
     * 调卷规则原始试卷ID
     */
    private String basePaperId;

    /**
     * 是否包含音频题
     */
    private Boolean hasAudio;

    private String examRemark;//考试说明

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public List<PaperDetailDto> getPaperDetails() {
        return paperDetails;
    }

    public void setPaperDetails(List<PaperDetailDto> paperDetails) {
        this.paperDetails = paperDetails;
    }

    public Map<String, String> getParams() {
        return params;
    }

    public void setParams(Map<String, String> params) {
        this.params = params;
    }

    public String getBasePaperId() {
        return basePaperId;
    }

    public void setBasePaperId(String basePaperId) {
        this.basePaperId = basePaperId;
    }

    public boolean isAllQbjectiveQuestion() {
        return isAllQbjectiveQuestion;
    }

    public void setAllQbjectiveQuestion(boolean isAllQbjectiveQuestion) {
        this.isAllQbjectiveQuestion = isAllQbjectiveQuestion;
    }

    public Boolean getHasAudio() {
        return hasAudio;
    }

    public void setHasAudio(Boolean hasAudio) {
        this.hasAudio = hasAudio;
    }

    public String getExamRemark() {
        return examRemark;
    }

    public void setExamRemark(String examRemark) {
        this.examRemark = examRemark;
    }

}
